Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class APCSheetHeaderSetAPCParameters_PopUp
    Inherits BaseObject

    Private _APCParameter As APCParameters

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    ' <RuleRequiredField("APCSheetHeaderSetAPCParameters_PopUp - APCParameter", DefaultContexts.Save)> _
    Property APCParameter As APCParameters
        Get
            Return _APCParameter
        End Get
        Set(value As APCParameters)
            SetPropertyValue("APCParameter", _APCParameter, value)
        End Set
    End Property
End Class
